osl::CsaFileMinimal Class Reference

`#include <csa.h>`

Inheritance diagram for osl::CsaFileMinimal:

## Public Member Functions

| CsaFileMinimal (const std::string &filename)
| CsaFileMinimal (std::istream &is)
virtual | ~CsaFileMinimal ()
RecordMinimal | load () const
std::vector< Move > | moves () const
const NumEffectState & | initialState () const

## Static Public Member Functions

static bool | parseLine (SimpleState &, RecordMinimal &, std::string element, CArray< bool, 9 > &)

## Protected Member Functions

| CsaFileMinimal ()
void | load (std::istream &)

## Private Attributes

RecordMinimal | record

## Detailed Description

Definition at line 51 of file csa.h.

## Constructor & Destructor Documentation

## CsaFileMinimal() [1/3]

osl::csa::CsaFileMinimal::CsaFileMinimal | ( | const std::string & | filename | ) |

Definition at line 201 of file csa.cc.

## CsaFileMinimal() [2/3]

osl::csa::CsaFileMinimal::CsaFileMinimal | ( | std::istream & | is | ) |

Definition at line 212 of file csa.cc.

## CsaFileMinimal() [3/3]

osl::csa::CsaFileMinimal::CsaFileMinimal | ( |  | ) |

inline protected

Definition at line 62 of file csa.h.

## ~CsaFileMinimal()

osl::csa::CsaFileMinimal::~CsaFileMinimal | ( |  | ) |

virtual

Definition at line 216 of file csa.cc.

## Member Function Documentation

## initialState()

const NumEffectState & osl::csa::CsaFileMinimal::initialState | ( |  | ) | const

inline

Definition at line 60 of file csa.h.

## load() [1/2]

RecordMinimal osl::csa::CsaFileMinimal::load | ( |  | ) | const

inline

Definition at line 58 of file csa.h.

## load() [2/2]

void osl::csa::CsaFileMinimal::load | ( | std::istream & | is | ) |

protected

Definition at line 220 of file csa.cc.

## moves()

std::vector< Move > osl::csa::CsaFileMinimal::moves | ( |  | ) | const

inline

Definition at line 59 of file csa.h.

## parseLine()

bool osl::csa::CsaFileMinimal::parseLine | ( | SimpleState & | state,
|  | RecordMinimal & | record,
|  | std::string | element,
|  | CArray< bool, 9 > & | board_parsed )

static

Definition at line 246 of file csa.cc.

Referenced by osl::record::CsaFile::read().

## Member Data Documentation

## record

RecordMinimal osl::csa::CsaFileMinimal::record

private

Definition at line 53 of file csa.h.

The documentation for this class was generated from the following files:

- csa.h
- csa.cc